﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Windows.Threading;

namespace XamDataChartTransitionsCase
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        ViewModel vm = new ViewModel();
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = vm;

            series.TransitionDuration = new TimeSpan(0, 0, 1);
        }

        private void XamDataChart_Loaded(object sender, RoutedEventArgs e)
        {
            DispatcherTimer timer = new DispatcherTimer();
            timer.Interval = new TimeSpan(0, 0, 1);

            timer.Tick += Timer_Tick;

            timer.Start();
        }

        Random r = new Random();
        private void Timer_Tick(object sender, EventArgs e)
        {           
            if(vm.Data[0].Value == 9)
            {
                vm.Data[0].Value = 1;
                vm.Data[1].Value = 2;
                vm.Data[2].Value = 3;
                vm.Data[3].Value = 4;
                vm.Data[4].Value = 5;
                vm.Data[5].Value = 6;
                vm.Data[6].Value = 7;
                vm.Data[7].Value = 8;
                vm.Data[8].Value = 9;

            }
            else
            {
                vm.Data[0].Value = 9;
                vm.Data[1].Value = 8;
                vm.Data[2].Value = 7;
                vm.Data[3].Value = 6;
                vm.Data[4].Value = 5;
                vm.Data[5].Value = 4;
                vm.Data[6].Value = 3;
                vm.Data[7].Value = 2;
                vm.Data[8].Value = 1;
            }
            
        }            
    }
}
